parameters:
#    bright_seo.example.class: Bright\SeoBundle\Example

services:
    bright_seo.seo_manager:
        class: Bright\SeoBundle\DependencyInjection\Services\SeoManager
 
    bright_seo.seo_annotation_driver:
        class: Bright\SeoBundle\Annotations\Driver\AnnotationDriver
        tags: [{name: kernel.event_listener, event: kernel.request, method: onKernelRequest}]
        arguments: [@bright_seo.seo_manager, @annotation_reader]

    bright_seo.twig.seo_extension:
        class: Bright\SeoBundle\Twig\SeoExtension
        tags: [{ name: twig.extension }]
        arguments: [@service_container, @bright_seo.seo_manager]
